package com.dcsoft.system.vehicle.domain;

import com.dcsoft.common.core.annotation.Excel;
import com.dcsoft.common.core.web.domain.BaseEntity;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 通行记录对象 car_pass_record
 *
 * @author nichun
 * @date 2024-01-03
 */
public class CarPassRecord extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 停车场id */
    @Excel(name = "停车场id")
    private String parkId;

    /** 过车信息唯一标识 */
    private String uniqueNo;

    /** 过车行驶方向 0 入场过车  1出场过车 */
    @Excel(name = "过车行驶方向 0 入场过车  1出场过车")
    private String direction;

    /** 车牌号码 */
    @Excel(name = "车牌号码")
    private String license;

    /** 通行时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "通行时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date passTime;

    /** 触发类型 */
    @Excel(name = "触发类型")
    private String triggerType;

    /** 车牌颜色 */
    @Excel(name = "车牌颜色")
    private String colorType;

    /** 车辆颜色 */
    @Excel(name = "车辆颜色")
    private String carColor;

    /** 车牌图片数据 */
    @Excel(name = "车牌图片数据")
    private String url;

    /** 数据类型 0 实时数据 1历史数据 */
    @Excel(name = "数据类型 0 实时数据 1历史数据")
    private String dataType;

    /** 设备序列号 */
    @Excel(name = "设备序列号")
    private String sn;

    private String parkName;

    private String way;

    private String equipmentName;

    private String unit;

    private String type;

    public String getEquipmentName() {
        return equipmentName;
    }

    public void setEquipmentName(String equipmentName) {
        this.equipmentName = equipmentName;
    }

    public String getParkName() {
        return parkName;
    }

    public void setParkName(String parkName) {
        this.parkName = parkName;
    }

    public String getWay() {
        return way;
    }

    public void setWay(String way) {
        this.way = way;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setParkId(String parkId)
    {
        this.parkId = parkId;
    }

    public String getParkId()
    {
        return parkId;
    }
    public void setUniqueNo(String uniqueNo)
    {
        this.uniqueNo = uniqueNo;
    }

    public String getUniqueNo()
    {
        return uniqueNo;
    }
    public void setDirection(String direction)
    {
        this.direction = direction;
    }

    public String getDirection()
    {
        return direction;
    }
    public void setLicense(String license)
    {
        this.license = license;
    }

    public String getLicense()
    {
        return license;
    }
    public void setPassTime(Date passTime)
    {
        this.passTime = passTime;
    }

    public Date getPassTime()
    {
        return passTime;
    }
    public void setTriggerType(String triggerType)
    {
        this.triggerType = triggerType;
    }

    public String getTriggerType()
    {
        return triggerType;
    }
    public void setColorType(String colorType)
    {
        this.colorType = colorType;
    }

    public String getColorType()
    {
        return colorType;
    }
    public void setCarColor(String carColor)
    {
        this.carColor = carColor;
    }

    public String getCarColor()
    {
        return carColor;
    }
    public void setUrl(String url)
    {
        this.url = url;
    }

    public String getUrl()
    {
        return url;
    }
    public void setDataType(String dataType)
    {
        this.dataType = dataType;
    }

    public String getDataType()
    {
        return dataType;
    }
    public void setSn(String sn)
    {
        this.sn = sn;
    }

    public String getSn()
    {
        return sn;
    }


    public String getUnit() {
        return unit;
    }

    public void setUnit(String unit) {
        this.unit = unit;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("parkId", getParkId())
            .append("uniqueNo", getUniqueNo())
            .append("direction", getDirection())
            .append("license", getLicense())
            .append("passTime", getPassTime())
            .append("triggerType", getTriggerType())
            .append("colorType", getColorType())
            .append("carColor", getCarColor())
            .append("url", getUrl())
            .append("dataType", getDataType())
            .append("sn", getSn())
            .toString();
    }
}
